> ## Documentation Index
> Fetch the complete documentation index at: https://docs.joinmassive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Async content

> Retrieve the content or status of a queued request.



## OpenAPI

````yaml get /browser/content
openapi: 3.1.0
info:
  title: Massive
  description: The missing services for agent-first development.
  version: 1.0.0
servers:
  - url: https://render.joinmassive.com
security:
  - bearerAuth: []
paths:
  /browser/content:
    get:
      summary: Async content
      description: Retrieve the content or status of a queued request.
      parameters:
        - name: id
          description: >-
            The identifier returned by the [browser endpoint](../browser) of the
            queued request to retrieve.
          schema:
            type: string
            format: uuid
            example: 21cb972e-0e0f-47bb-9ce9-65b99e9cee77
          in: query
          required: true
      responses:
        '200':
          description: The request content.
          content:
            text/html:
              schema:
                type: string
        '202':
          description: The request status.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    description: The status of the queued request.
                    allOf:
                      - $ref: '#/components/schemas/Status'
                required:
                  - status
        '401':
          $ref: '#/components/responses/authenticationError'
        '403':
          $ref: '#/components/responses/authorizationError'
        '422':
          $ref: '#/components/responses/paramsError'
        '500':
          $ref: '#/components/responses/unknownError'
components:
  schemas:
    Status:
      summary: Job status
      type: string
      enum:
        - retrieving
        - failed
      example: retrieving
  responses:
    authenticationError:
      description: The authorization header was missing.
      content:
        text/plain:
          schema:
            type: string
            example: Authorization header must be provided
    authorizationError:
      description: The API token was invalid.
      content:
        text/plain:
          schema:
            type: string
            example: Valid API token must be provided
    paramsError:
      description: One or more parameters were invalid.
      content:
        text/plain:
          schema:
            type: string
            example: Character counts must be no more than 255
    unknownError:
      description: An unknown error occurred.
      content:
        text/plain:
          schema:
            type: string
            example: Unknown error occurred
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````